---
features:
  secondary:
  - name: "Mark merge request as 'draft' with a single click"
    available_in: [core, starter, premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/user/project/merge_requests/work_in_progress_merge_requests.html#adding-the-draft-flag-to-a-merge-request'
    image_url: '/images/13_5/draft-button.png'
    reporter: danielgruesso
    stage: create
    categories:
    - 'Code Review'
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/227421'
    description: |
      Creating a merge request is a great way to share your contribution with others and get the conversation started, even if the code is not ready to be merged. In order to signal to others that a contribution is not ready to be reviewed or merged, you can prefix the merge request title with `draft` (formerly known as `wip`). This is useful, however it entails going into edit mode, navigating to the merge request title, and typing the required prefix.

      To make it faster to use this feature, we have introduced **Mark as draft** and **Mark as ready** buttons directly to the top-right corner of merge request pages (without having to edit its description to change it). With a single click, you can indicate that your work is in progress and not ready to be merged, and vice-versa.
